#!/usr/bin/env python
# -*- coding: utf-8 -*-

# twisted import
from twisted.python import log

# nevow import
from nevow.flat import flatten
from nevow.i18n import _

# bewype ui import
from bewype.core import ui
# bewype component import
from bewype.core.component.component import Component

class TextViewer(Component):

    def add_static_resources(self):
        Component.add_static_resources(self, file_=__file__)

    def get_field(self, item):
        # get key for date entry
        _id = "%sTextViewer" % self.id_
        _value = self._get_value(item)
        # return the picker
        return ui.Html(id_=_id, class_=self.class_, text=_value)

