#!/usr/bin/env python
# -*- coding: utf-8 -*-

# python import
import doctest

# bewype tests import
from bewype.core.tests import _db_manager

# module to be tested import
from bewype.core.data import yaml_base_loader
from bewype.core.db import model, query
from bewype.core.resource import i18n_updater, static_updater, path

def run_doctest():
    """Our doctest launcher.
    """
    # init db stuffs
    _d_m = _db_manager._DbManager()

    # data
    doctest.testmod(yaml_base_loader)
    # db
    doctest.testmod(model)
    doctest.testmod(query)
    # resource
    doctest.testmod(path)
    doctest.testmod(i18n_updater)
    doctest.testmod(static_updater)

