#!/usr/bin/env python
# -*- coding: utf-8 -*-

# nevow import
from nevow import loaders, tags as T

# bewype import
from bewype.core.ui.frame import Frame

class Image(Frame):

    def __init__(self, id_=None, class_=None, src=None, alt=None, border=0):
        Frame.__init__(self, id_=id_, class_=class_)
        #
        self.src = src
        self.alt = alt
        self.border = 0

    def get_docFactory(self):
        # prepare img tag
        return T.img(id_=self.id_, class_=self.class_, src=self.src,
                alt=self.alt, title=self.alt, border=self.border)

    def set_src(self, src):
        self.src = src

    def get_src(self):
        return self.src

    def set_alt(self, alt):
        self.alt = alt

    def get_alt(self):
        return self.alt

    def set_border(self, border):
        self.border = border

    def get_border(self):
        return self.border

