
/**
 *
 */
BewypeJS.Ui.Label = new Class(
{
    // parent class
    Extends: BewypeJS.Ui.Widget,    

    initialize: function (params)
    {
        // init parent
        this.parent(params);
        //
        this.text = BewypeJS.Utils.getVal(params, "text");
        this.markup = BewypeJS.Utils.getVal(params, "markup");
        this.href = BewypeJS.Utils.getVal(params, "href");
        this.name = BewypeJS.Utils.getVal(params, "name");
        this.tag = BewypeJS.Utils.getVal(params, "tag");
    },

    getDocFactory: function ()
    {
        // manage link here - ensure valid link or nothing
        if(MochiKit.Base.isUndefinedOrNull(this.href))
        {
            // get current href
            MochiKit.Base.noop();
        }
        else
        {
            // update link param
            this.attrs["href"] = this.href;
        }

        // manage link here - ensure valid link or nothing
        if(MochiKit.Base.isUndefinedOrNull(this.markup))
        {
            // get current href
            MochiKit.Base.noop();
        }
        else
        {
            // update link param
            this.attrs["alt"] = this.markup;
        }

        // manage link here - ensure valid link or nothing
        if(MochiKit.Base.isUndefinedOrNull(this.name))
        {
            // get current href
            MochiKit.Base.noop();
        }
        else
        {
            // update link param
            this.attrs["name"] = this.name;
        }

        if(MochiKit.Base.isUndefinedOrNull(this.tag))
        {
            // render
            return MochiKit.DOM.A(this.attrs, this.text);
        }
        else
        {
            return this.tag(this.attrs, this.text);
        }
    },
    
    setText: function (text)
    {
        this.text = text;
    },

    getText: function ()
    {
        return this.text;
    },
    
    setMarkup: function (markup)
    {
        this.markup = markup;
    },

    getMarkup: function ()
    {
        return this.markup;
    },
    
    setHef: function (href)
    {
        this.href = href;
    },

    getHef: function ()
    {
        return this.href;
    }
});

