#!/usr/bin/env python
# -*- coding: utf-8 -*-

# twisted import
from twisted.python import log

# nevow import
from nevow.i18n import _

# bewype ui import
from bewype.core import ui
# bewype component import
from bewype.core.component.form_field import FormField

class TextEditor(FormField):

    def add_static_resources(self):
        FormField.add_static_resources(self, file_=__file__)

    def get_form_field(self, item):
        # get key for date entry
        _id = "%sTextView" % self.id_
        _value = self._get_value(item)
        # return the picker
        return ui.TextView(id_=_id, class_=self.class_, text=_value)

