#!/usr/bin/env python
# -*- coding: utf-8 -*-

# nevow import
from nevow import tags as T

# bewype import
from bewype.core.ui.bin import Bin

class Html(Bin):

    def __init__(self, id_=None, class_=None, text=None):
        Bin.__init__(self, id_=id_, class_=class_)
        # Text
        self.text = text

    def get_docFactory(self):
        # return div
        return T.div(id=self.id_, class_=self.class_)[
                T.raw("" if self.text is None else self.text)
                ]

    def set_text(self, text):
        self.text = text

    def get_text(self):
        return self.text

