#!/usr/bin/env python
# -*- coding: utf-8 -*-

# python import
import os

# openssl import
from OpenSSL import SSL

# twiested import
from twisted.internet.ssl import ContextFactory

# bewype config import
from bewype.core.config import Config

class SSLContext(ContextFactory):
    """
    """

    def __init__(self, certdir, cerfile, keyfile):
        """
        """
        self.cerfile = Config.get("path>cerfile")
        self.keyfile = Config.get("path>keyfile")

    def getContext(self):
        #
        _context = SSL.Context(SSL.TLSv1_METHOD)
        _context.use_privatekey_file(self.keyfile)
        _context.use_certificate_file(self.cerfile)
        #
        return _context

