
/**
 *
 */
BewypeJS.Component.FileEditor = new Class(
{
    // parent class
    Extends: BewypeJS.Component,

   /**
     *
     */
    initialize: function (className, widgetId, groupId, valueKey)
    {
        // init parent
        this.actionList = ["Cancel", "Edit", "Update", "Reload"];
        this.parent(className, widgetId, groupId, valueKey);
        // set specific field id
        this.fieldId = this.widgetId + "TextView";
        // get rich content text editor
        this.textEditor = this.getEditor();
    },
    
    getMessageField: function ()
    {
        // try to get the first div
        return MochiKit.DOM.getFirstParentByTagAndClassName(
                this.fieldId,
                tagName="div",
                className=this.className);
    },

    getEditor: function ()
    {
        var _option = {};
        return new MooEditable(this.fieldId, _option);
    },

    resultCb: function (linkElement, params, result)
    {
        // get current action first
        var _action = BewypeJS.Utils.getVal(params, "action");
        //
        if (MochiKit.Base.isUndefinedOrNull(_action))
        {
            // ?? pass
        }
        else if (_action == "Cancel"
                || _action == "Edit"
                || _action == "Reload")
        {
            // get value
            var _value = BewypeJS.Utils.getVal(result, this.valueKey);
            // render editor
            this.textEditor.setContent(_value);
        }
        else
        {
            // pass // nothing to do
        }
    }
});

