
/**
 *
 */
BewypeJS.Component.TextEditor = new Class(
{
    // parent class
    Extends: BewypeJS.Component,

   /**
     *
     */
    initialize: function (className, widgetId, groupId, valueKey)
    {
        // init parent
        this.actionList = ["Add", "Cancel", "Edit", "Update", "Reload"];
        this.parent(className, widgetId, groupId, valueKey);
        // set specific field id
        this.fieldId = this.widgetId + "TextView";
        // get rich content text editor
        this.textEditor = this.getEditor();
    },

    getEditor: function ()
    {
        var _option = {};
        return new MooEditable(this.fieldId, _option);
    },
    
    resultCb: function (linkElement, params, result)
    {
        // get current action first
        var _action = BewypeJS.Utils.getVal(params, "action");
        //
        if (MochiKit.Base.isUndefinedOrNull(_action))
        {
            // ?? pass
        }
        else if (_action == "Reload"
                || _action == "Cancel")
        {
            // get value
            var _value = BewypeJS.Utils.getVal(result, this.valueKey);
            // render editor
            this.textEditor.setContent(_value);
            // do not display success message ...
            return false;
        }
        else
        {
            // pass // nothing to do
        }
        return true;
    }
});

